Page MenuHomeFreeBSD

security/dropbear: update to 2017.75
ClosedPublic

Authored by ultima on Jun 28 2017, 8:55 PM.

Details

Summary
  • Updated to 2017.75
  • Added vxvml entry

Changelog: https://matt.ucc.asn.au/dropbear/CHANGES

PR\: 220158
Sumitted by\: Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)
Reviewed by\:lifanov (mentor), matthew (mentor)
Approved by\:lifanov (mentor), matthew (mentor)
MFC to\: 2017Q2
Security\: http://www.vuxml.org/freebsd/60931f98-55a7-11e7-8514-589cfc0654e1.html
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Please check MFC to and Security

Test Plan

portlint:
WARN: Makefile: DH_GROUP1 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MDH_GROUP1 appears.
WARN: Makefile: SMALL_CODE is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSMALL_CODE appears.
WARN: Makefile: AES128 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MAES128 appears.
WARN: Makefile: 3DES is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:M3DES appears.
WARN: Makefile: AES256 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MAES256 appears.
WARN: Makefile: BLOWFISH is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MBLOWFISH appears.
WARN: Makefile: TWOFISH256 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MTWOFISH256 appears.
WARN: Makefile: TWOFISH128 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MTWOFISH128 appears.
WARN: Makefile: ECDSA is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MECDSA appears.
WARN: Makefile: DSA is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MDSA appears.
WARN: Makefile: RSA is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MRSA appears.
WARN: Makefile: MD5 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MMD5 appears.
WARN: Makefile: SHA1 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSHA1 appears.
WARN: Makefile: SHA1_96 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSHA1_96 appears.
WARN: Makefile: SHA2_256 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSHA2_256 appears.
WARN: Makefile: SHA2_512 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSHA2_512 appears.
WARN: Makefile: CBC is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MCBC appears.
WARN: Makefile: CTR is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MCTR appears.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 19 warnings found.

False positive?

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Tested with all on inverted defaults and defaults which is above.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 10180
Build 10601: arc lint + arc unit

Event Timeline

ultima created this revision.Jun 28 2017, 8:55 PM
ultima edited the summary of this revision. (Show Details)Jun 28 2017, 8:57 PM
mat added inline comments.Jun 29 2017, 11:09 AM
security/dropbear/Makefile
65

All those could simply remove the lines.

`-e '/#define DROPBEAR_SMALL_CODE/d'
lifanov accepted this revision.Jun 29 2017, 1:26 PM

Switch these to /d per mat's feedback and commit vuxml piece first and then immediately the port.
Other than that, looks good!

This revision is now accepted and ready to land.Jun 29 2017, 1:26 PM
ultima updated this revision to Diff 30331.Jul 2 2017, 10:12 PM
ultima edited edge metadata.

Updated with matt's suggested simplification.

This revision now requires review to proceed.Jul 2 2017, 10:12 PM
This revision was automatically updated to reflect the committed changes.